﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace ChickenGUI
{
	partial class DraggablePictureBox : PictureBox
	{
		private bool dragging = false;
		private Rectangle DragOffset;
		protected override void OnMouseMove(MouseEventArgs e)
		{
			if (!dragging) return;
			Rectangle rect = this.Bounds;
			this.SetBounds(rect.X + e.X - DragOffset.X, rect.Y + e.Y - DragOffset.Y, rect.Width, rect.Height);
			base.OnMouseMove(e);
		}
		protected override void OnMouseDown(MouseEventArgs e)
		{
			dragging = true;
			DragOffset.X = e.X;
			DragOffset.Y = e.Y;
			this.BringToFront();
			base.OnMouseDown(e);
		}
		protected override void OnMouseUp(MouseEventArgs e)
		{
			dragging = false;
			base.OnMouseUp(e);
		}
		protected override void OnClick(EventArgs e)
		{
			if (Form1.WantDeletePic)
			{
				Form1.WantDeletePic = false;
				Form1.MainForm.label1.Text = "Status: Ready";
				this.Dispose();
			}
			base.OnClick(e);
		}
	}
}
